#!/bin/bash
#SBATCH -J STAR-CCM-15.02.009
#SBATCH -p batch
#SBATCH --ntasks=20
#SBATCH --time=1-00:00:00

# set license server details
export CDLMD_LICENSE_FILE=1999@server

# Set environment appropriately
module load STAR-CCM/15.02.009

srun hostname | sort | uniq | sed s/\s//g | sed s/$/:20/g > machinefile_$SLURM_JOB_ID

# Run star
starccm+ -batch -np ${SLURM_NTASKS} -machinefile machinefile_${SLURM_JOB_ID} -rsh ssh *.sim


